<?php

namespace Lc\SovBundle\Doctrine\Extension;

use Doctrine\ORM\Mapping as ORM;

trait SeoTrait
{
    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    protected $metaTitle;


    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $metaDescription;


    /**
     * @var array
     * @ORM\Column(type="array", nullable=true)
     */
    protected $oldUrls;


    public function getMetaTitle(): ?string
    {
        return $this->metaTitle;
    }

    public function setMetaTitle(?string $metaTitle): self
    {
        $this->metaTitle = $metaTitle;

        return $this;
    }

    public function getMetaDescription(): ?string
    {
        return $this->metaDescription;
    }

    public function setMetaDescription(?string $metaDescription): self
    {
        $this->metaDescription = $metaDescription;

        return $this;
    }

    public function setOldUrls($oldUrls): self
    {
        $this->oldUrls = $oldUrls;

        return $this;
    }

    public function getOldUrls(): ?array
    {
        return $this->oldUrls;
    }
}
